// IEBarsDoc.cpp : implementation of the CIEBarsDoc class
//

#include "stdafx.h"
#include "IEBars.h"

#include "IEBarsDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIEBarsDoc

IMPLEMENT_DYNCREATE(CIEBarsDoc, CDocument)

BEGIN_MESSAGE_MAP(CIEBarsDoc, CDocument)
	//{{AFX_MSG_MAP(CIEBarsDoc)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIEBarsDoc construction/destruction

CIEBarsDoc::CIEBarsDoc()
{
}

CIEBarsDoc::~CIEBarsDoc()
{
}

BOOL CIEBarsDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	((CEditView*)m_viewList.GetHead())->SetWindowText(NULL);

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CIEBarsDoc serialization

void CIEBarsDoc::Serialize(CArchive& ar)
{
	// CEditView::SerializeRaw() doesn't work correctly
	// with version 6 of comctl32.dll

	CEditView* pView = ((CEditView*)m_viewList.GetHead());

	if (ar.IsStoring())
	{
		CString strText;
		pView->GetWindowText(strText);

		ar.Write((LPCSTR)strText, strText.GetLength());
	}
	else
	{
		CFile* pFile = ar.GetFile();
		DWORD nFileSize = pFile->GetLength();

		char* pData = new char[nFileSize+1];

		ar.Read(pData, nFileSize);
		pData[nFileSize] = 0;

		pView->SetWindowText(pData);

		delete[] pData;
	}
}

/////////////////////////////////////////////////////////////////////////////
// CIEBarsDoc diagnostics

#ifdef _DEBUG
void CIEBarsDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CIEBarsDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CIEBarsDoc commands
