// IEBarsView.h : interface of the CIEBarsView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_IEBARSVIEW_H__95F9F526_0396_49F0_BD83_A7187A08F210__INCLUDED_)
#define AFX_IEBARSVIEW_H__95F9F526_0396_49F0_BD83_A7187A08F210__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CIEBarsView : public CEditView
{
protected: // create from serialization only
	CIEBarsView();
	DECLARE_DYNCREATE(CIEBarsView)

// Attributes
public:
	CIEBarsDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIEBarsView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CIEBarsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	virtual void CalcWindowRect(LPRECT lpClientRect, UINT nAdjustType = adjustBorder);

// Generated message map functions
protected:
	//{{AFX_MSG(CIEBarsView)
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in IEBarsView.cpp
inline CIEBarsDoc* CIEBarsView::GetDocument()
   { return (CIEBarsDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IEBARSVIEW_H__95F9F526_0396_49F0_BD83_A7187A08F210__INCLUDED_)
